Package com.studica.frc.jni

## Class I2CJNI

- java.lang.Object
- - com.studica.frc.jni.TitanJNIWrapper
  - - com.studica.frc.jni.I2CJNI

    public class I2CJNI
    extends TitanJNIWrapper

### Constructor Summary

Constructors
`I2CJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `c_closeI2C()`
`static void` `c_initializeI2C​(int port, int deviceAddress)`
`static boolean` `c_isConnected​(int deviceAddress)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### I2CJNI

    public I2CJNI()

### Method Detail

#### c_initializeI2C

    public static void c_initializeI2C​(int port,
                                       int deviceAddress)

#### c_closeI2C

    public static void c_closeI2C()

#### c_isConnected

    public static boolean c_isConnected​(int deviceAddress)